Subject: Re: bug#34355: Emacs confusion with file locking after hostname change

From: Glenn Morris <[email-masked]>
Date: Wed, 06 Feb 2019 22:54:09 -0500

"Ulrich Windl" wrote:

> In Emacs 25.3.1 I had the problem that Emacs refuses to save a
> modified buffer after plugging in the network cable: The hostname
> changed through DHCP, and now Emacs says the file is locked by another
> user with some PID. However that PID is the only Emacs PID on the
> system, and it's Emacs' own PID!
> I suspect that Emacs gets the hostname once during startup, and never
> checks it again.

If it worked like that, you wouldn't have a problem.
But since https://debbugs.gnu.org/19438, system-name does change dynamically.